app/Http/routes.php
<?php
/**
 * Application Routes
 *
 * Here is where you can register all of the routes for an application.
 * It's a breeze. Simply tell Laravel the URIs it should respond to
 * and give it the controller to call when that URI is requested.
 *
 * PHP version 5.6
 *
 * @category Class
 * @package  Base
 * @author   Michal Hojgr <michal.hojgr@gmail.com>
 * @license  MS Reference
 * @link     http://bookie.gg
 */
/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/mailpreview', ['uses' => 'EmailController@firstclosedbeta']);
Route::get('/help', ['as' => 'help', 'uses' => 'HelpController@show']);

Route::group(
    ['middleware' => 'beta.active_only'],
    function () {
        /**
         * API Methods
         *
         * @see http://docs.bookiegg.apiary.io/
         */
        Route::post(
            '/api/csgo/bank/deposit',
            ['uses' => 'BankController@deposit']
        );

        Route::post(
            '/api/csgo/bank/withdraw',
            ['uses' => 'BankController@withdraw']
        );

        Route::get(
            '/api/profile/tradeurl/verify',
            ['uses' => 'ProfileController@verifyTradeURL']
        );

        Route::post(
            '/api/profile/tradeurl',
            ['uses' => 'ProfileController@storeTradeURL']
        );

        Route::post(
            '/api/core/popup',
            ['uses' => '']
        );

        Route::get(
            '/api/core/popup',
            ['uses' => 'PopupController@getActive']
        );

        Route::get(
            '/',
            ['as' => 'home', 'uses' => 'HomeController@index']
        );
        Route::get(
            '/profile/{id}',
            ['as' => 'profile', 'uses' => 'ProfileController@show']
        );
        Route::get(
            '/article/{id}',
            ['as' => 'article', 'uses' => 'ArticleController@show']
        );
        Route::get(
            '/match/{id}',
            ['as' => 'match', 'uses' => 'MatchController@show']
        );
        Route::get(
            '/bank',
            ['as' => 'bank', 'uses' => 'BankController@show']
        );
        Route::get(
            '/rules',
            ['as' => 'rules', 'uses' => 'SubpageController@rules']
        );
        Route::get(
            '/tos',
            ['as' => 'tos', 'uses' => 'SubpageController@tos']
        );
        Route::get(
            '/contact',
            ['as' => 'contact', 'uses' => 'SubpageController@contact']
        );
        Route::get(
            '/partners',
            ['as' => 'partners', 'uses' => 'SubpageController@partners']
        );

        // TODO: add admin roles
        Route::group(
            [
                'namespace' => 'Admin',
                'prefix' => 'admin',
                'middleware' => 'admin.protect'
            ],
            function () {
                Route::get(
                    '/',
                    ['as' => 'admin_home', 'uses' => 'HomeController@index']
                );

                Route::resource('article', 'ArticleController');
                Route::resource('organization', 'OrganizationController');
                Route::resource('team', 'TeamController');
                Route::resource('match', 'MatchController');

                Route::get(
                    'match/pickwinner/{matchid}/{tid}',
                    [
                        'as' => 'admin.match.pickwinner',
                        'uses' => 'MatchController@pickwinner'
                    ]
                );
                Route::resource('subpage', 'SubpageController');
            }
        );
    }
);


Route::group(
    ['middleware' => 'beta.not_active_only'],
    function () {
        Route::get(
            '/beta',
            ['as' => 'beta_home', 'uses' => 'BetaController@index']
        );
        Route::post(
            '/beta',
            ['as' => 'beta.activate', 'uses' => 'BetaController@activate']
        );
        Route::post(
            '/beta/subscribe',
            ['as' => 'beta.subscribe', 'uses' => 'BetaSubscribeController@index']
        );
    }
);

Route::get('/login', ['as' => 'login', 'uses' => 'SteamController@login']);
Route::get('/auth', ['as' => 'auth', 'uses' => 'SteamController@auth']);
Route::get('/logout', ['as' => 'logout', 'uses' => 'SteamController@logout']);

/**
 * Statically serve images from storage
 */
Route::get(
    'upload_assets/{thing}/{type}/{filename}',
    [
        'as' => 'uploaded_asset',
        'uses' => function ($thing, $type, $filename) {
            if (!in_array($thing, ['logo', 'banner'])) {
                App::abort(403);
            }

            $path = storage_path($thing . "s/" . $type . "s") . "/$filename";

            $response = Response::make(File::get($path));
            $response->header('Content-Type', File::type($path));
            $response->header('Content-Size', File::size($path));

            return $response;
        }
    ]
);

resources/views/admin/app.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bookie.GG - Upcoming Matches</title>

	<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
	<link href="/css/admin/main.css" rel="stylesheet">
	<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.2/css/bootstrap.min.css" rel="stylesheet">
	<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.4/css/bootstrap-select.min.css" rel="stylesheet">
	<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.0.0/css/bootstrap-datetimepicker.min.css" rel="stylesheet">
	<link href='http://fonts.googleapis.com/css?family=Roboto:400,300,700,100,900' rel='stylesheet' type='text/css'>
	<link href="/css/admin/bootstrap_override.css" rel="stylesheet">
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
	<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>
<body>
@if(Session::has('message'))
	@foreach(Session::get('message') as $m)
		<div class="notice notice-{{ $m['type'] }}">
			{!! $m['message'] !!}
		</div>
	@endforeach
@endif
	@section('header')
		<div class="header">
			<div class="logo"><div></div></div>
			<div class="nav center">
				<ul>
					<li>
						<a href="{{ route("home") }}">Main page</a>
					</li>
					<li @if(Route::currentRouteName() == 'admin_home')class="active" @endif>
						<a href="{{ route("admin_home") }}">Main admin page</a>
					</li>
					<li @if(Request::is('admin/article*'))class="active" @endif>
						<a href="{{ route("admin.article.index") }}">Articles</a>
					</li>
					<li @if(Request::is('admin/organization*'))class="active" @endif>
						<a href="{{ route("admin.organization.index") }}">Organizations</a>
					</li>
					<li @if(Request::is('admin/team*'))class="active" @endif>
						<a href="{{ route("admin.team.index") }}">Teams</a>
					</li>
					<li @if(Request::is('admin/match*'))class="active" @endif>
						<a href="{{ route("admin.match.index") }}">Matches</a>
					</li>
					<li @if(Request::is('admin/subpage*'))class="active" @endif>
						<a href="{{ route("admin.subpage.create") }}">Subpages</a>
					</li>
				</ul>
			</div>
		</div>
		<div class="container center"> {{--todo: consider options for this opener--}}
	@show

	@section('leftside')
		<div class="left-side">
			<div class="user-left">
				@if (!Auth::check())
					<div class="steam-button">
						<a href="{{ route('login') }}" class="connect"><img src="{{ asset('images/steamsignin.png') }}"/></a>
					</div>
				@else
					<div class="username-container">
						<div class="avatar">
							<img src="{{ SteamUtil::avatarPathToAvatarURL(Auth::user()->avatar_path) }}" />
						</div>
						<div class="username">{{ Auth::user()->display_name }}</div>
					</div>
					<ul>
						<li><a href="{{ route('logout') }}">Logout</a></li>
					</ul>
				@endif
			</div>
		</div>
	@show

	<div class="content">
		@yield('content')
	</div>

	@if(!isset($hide_right_side))
		<div class="rightside">
			@section('rightside')
				<div class="right-side">
					Empty yet
				</div>
			@show
		</div>
	@endif

	</div> {{--todo: remember that weird opener earlier?--}}

	<!-- Scripts -->
	<script src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.1/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.4/js/bootstrap-select.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.0.0/js/bootstrap-datetimepicker.min.js"></script>
</body>
</html>